/* Control color. */
:root {
  --farmos-map-accent-color: green;
}

.ol-control {
  background-color: rgba(255, 255, 255, 0.25);
  padding: 2px;
}

.ol-control:hover {
  background-color: rgba(255, 255, 255, 0.5);
}

.ol-control svg {
  fill: var(--farmos-map-accent-color);
  pointer-events: none;
}

.ol-control button {
  color: var(--farmos-map-accent-color);
  background-color: rgba(255, 255, 255, 0.8);
}

.ol-touch .ol-control button {
  font-size: 1.275em;
}

.ol-control button:hover,
.ol-control button:focus {
  color: var(--farmos-map-accent-color);
  background-color: rgba(255, 255, 255, 1);
}

.ol-scale-line {
  background: rgba(255, 255, 255, 0.25);
}

/* Control backgrounds. */
.ol-geocoder .gcd-gl-btn {
  background-image: none;
}

.ol-geocoder .gcd-gl-btn::after {
  content: '\1f50d';
}

.layer-switcher > button {
  background-size: 1.5em 1.5em;
}

/* Control sizing. */
.ol-control button,
.ol-geocoder .gcd-gl-btn {
  height: 1.75em;
  width: 1.75em;
}

/* Geolocate */
.ol-geolocate.ol-control button {
  display: block;
}

/* Control visibility/positioning. */
.ol-touch .ol-geotrace.ol-control,
.ol-touch .ol-overlaycontainer-stopevent {
  transition: opacity 500ms;
}

.ol-touch .ol-overlaycontainer-stopevent.inactive {
  opacity: 0;
}
.ol-touch .ol-overlaycontainer-stopevent.inactive * {
  pointer-events: none !important;
}

.ol-rotate.ol-control,
.ol-full-screen.ol-control,
.ol-attribution.ol-control,
.ol-touch .ol-zoom.ol-control {
  display: none;
}

.ol-geotrace.ol-control {
  display: none;
  top: 3.5em;
  left: 0.5em;
  background-color: #fc3;
  background-color: rgba(255, 204, 51, 0.7);
  opacity: 0;
  pointer-events: none;
}

.ol-geotrace.ol-control.active {
  opacity: 100;
  pointer-events: auto;
}

.ol-touch .ol-geotrace.ol-control {
  display: block;
}

.ol-touch .ol-geolocate.ol-control {
  left: 0.5em;
}

.ol-geocoder.gcd-gl-container {
  top: 0.5em;
  left: 5.5em;
}

.ol-touch .ol-geocoder.gcd-gl-container {
  left: 3.5em;
}

.ol-edit.ol-control {
  top: 4.75em;
}

.ol-touch .ol-edit.ol-control {
  top: 3.5em;
}

.ol-rotate.ol-control {
  right: 3.5em;
}

.layer-switcher {
  top: 0.5em;
}

.layer-switcher.shown {
  max-height: 300px;
}

/* Popup styles. */
.ol-popup {
  padding: 0.75em;
}
